com.informix.json

## Class JSONParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.informix.json.JSONParseException

All Implemented Interfaces:
  java.io.Serializable

    public class JSONParseException
    extends java.lang.RuntimeException

Exception throw when invalid JSON is passed to JSONParser. This exception creates a message that points to the first offending character in the JSON string:

     { "x" : 3, "y" : 4, some invalid json.... }
                         ^

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JSONParseException(java.lang.String s, int pos)`
`JSONParseException(java.lang.String s, int pos, java.lang.Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JSONParseException

    public JSONParseException(java.lang.String s,
                              int pos)

#### JSONParseException

    public JSONParseException(java.lang.String s,
                              int pos,
                              java.lang.Throwable cause)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`